Index: lemon/unionfind.h
===================================================================
--- lemon/unionfind.h	(revision 956)
+++ lemon/unionfind.h	(revision 460)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2010
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -44,5 +44,5 @@
   /// This is a very simple but efficient implementation, providing
   /// only four methods: join (union), find, insert and size.
-  /// For more features, see the \ref UnionFindEnum class.
+  /// For more features see the \ref UnionFindEnum class.
   ///
   /// It is primarily used in Kruskal algorithm for finding minimal
@@ -52,11 +52,9 @@
   /// \pre You need to add all the elements by the \ref insert()
   /// method.
-  template <typename IM>
+  template <typename _ItemIntMap>
   class UnionFind {
   public:
 
-    ///\e
-    typedef IM ItemIntMap;
-    ///\e
+    typedef _ItemIntMap ItemIntMap;
     typedef typename ItemIntMap::Key Item;
 
@@ -173,11 +171,9 @@
   /// method.
   ///
-  template <typename IM>
+  template <typename _ItemIntMap>
   class UnionFindEnum {
   public:
 
-    ///\e
-    typedef IM ItemIntMap;
-    ///\e
+    typedef _ItemIntMap ItemIntMap;
     typedef typename ItemIntMap::Key Item;
 
@@ -632,11 +628,9 @@
   /// \pre You need to add all the elements by the \ref insert()
   /// method.
-  template <typename IM>
+  template <typename _ItemIntMap>
   class ExtendFindEnum {
   public:
 
-    ///\e
-    typedef IM ItemIntMap;
-    ///\e
+    typedef _ItemIntMap ItemIntMap;
     typedef typename ItemIntMap::Key Item;
 
@@ -740,5 +734,5 @@
     void clear() {
       items.clear();
-      classes.clear();
+      classes.clear;
       firstClass = firstFreeClass = firstFreeItem = -1;
     }
@@ -955,16 +949,16 @@
   /// \pre You need to add all the elements by the \ref insert()
   /// method.
-  template <typename V, typename IM, typename Comp = std::less<V> >
+  ///
+  template <typename _Value, typename _ItemIntMap,
+            typename _Comp = std::less<_Value> >
   class HeapUnionFind {
   public:
 
-    ///\e
-    typedef V Value;
-    ///\e
-    typedef typename IM::Key Item;
-    ///\e
-    typedef IM ItemIntMap;
-    ///\e
-    typedef Comp Compare;
+    typedef _Value Value;
+    typedef typename _ItemIntMap::Key Item;
+
+    typedef _ItemIntMap ItemIntMap;
+
+    typedef _Comp Comp;
 
   private:
@@ -1196,5 +1190,5 @@
               popLeft(nodes[jd].next);
               pushRight(jd, ld);
-              if (less(ld, nodes[jd].left) ||
+              if (less(ld, nodes[jd].left) || 
                   nodes[ld].item == nodes[pd].item) {
                 nodes[jd].item = nodes[ld].item;
@@ -1289,13 +1283,4 @@
         first_free_class(-1), first_free_node(-1) {}
 
-    /// \brief Clears the union-find data structure
-    ///
-    /// Erase each item from the data structure.
-    void clear() {
-      nodes.clear();
-      classes.clear();
-      first_free_node = first_free_class = first_class = -1;
-    }
-
     /// \brief Insert a new node into a new component.
     ///
@@ -1617,5 +1602,5 @@
     /// \brief Gives back the priority of the current item.
     ///
-    /// Gives back the priority of the current item.
+    /// \return Gives back the priority of the current item.
     const Value& operator[](const Item& item) const {
       return nodes[index[item]].prio;
@@ -1662,5 +1647,5 @@
     /// \brief Gives back the minimum priority of the class.
     ///
-    /// Gives back the minimum priority of the class.
+    /// \return Gives back the minimum priority of the class.
     const Value& classPrio(int cls) const {
       return nodes[~(classes[cls].parent)].prio;
@@ -1676,7 +1661,7 @@
     /// \brief Gives back a representant item of the class.
     ///
-    /// Gives back a representant item of the class.
     /// The representant is indpendent from the priorities of the
     /// items.
+    /// \return Gives back a representant item of the class.
     const Item& classRep(int id) const {
       int parent = classes[id].parent;
Index: m4/lx_check_cplex.m4
===================================================================
--- m4/lx_check_cplex.m4	(revision 674)
+++ m4/lx_check_cplex.m4	(revision 540)
@@ -63,8 +63,4 @@
     if test x"$lx_cplex_found" = x"yes"; then
       AC_DEFINE([LEMON_HAVE_CPLEX], [1], [Define to 1 if you have CPLEX.])
-      lx_lp_found=yes
-      AC_DEFINE([LEMON_HAVE_LP], [1], [Define to 1 if you have any LP solver.])
-      lx_mip_found=yes
-      AC_DEFINE([LEMON_HAVE_MIP], [1], [Define to 1 if you have any MIP solver.])
       AC_MSG_RESULT([yes])
     else
Index: m4/lx_check_glpk.m4
===================================================================
--- m4/lx_check_glpk.m4	(revision 674)
+++ m4/lx_check_glpk.m4	(revision 540)
@@ -43,9 +43,4 @@
       }
 
-      #if (GLP_MAJOR_VERSION < 4) \
-         || (GLP_MAJOR_VERSION == 4 && GLP_MINOR_VERSION < 33)
-      #error Supported GLPK versions: 4.33 or above
-      #endif
-
       int main(int argc, char** argv)
       {
@@ -66,8 +61,4 @@
     if test x"$lx_glpk_found" = x"yes"; then
       AC_DEFINE([LEMON_HAVE_GLPK], [1], [Define to 1 if you have GLPK.])
-      lx_lp_found=yes
-      AC_DEFINE([LEMON_HAVE_LP], [1], [Define to 1 if you have any LP solver.])
-      lx_mip_found=yes
-      AC_DEFINE([LEMON_HAVE_MIP], [1], [Define to 1 if you have any MIP solver.])
       AC_MSG_RESULT([yes])
     else
Index: m4/lx_check_soplex.m4
===================================================================
--- m4/lx_check_soplex.m4	(revision 674)
+++ m4/lx_check_soplex.m4	(revision 540)
@@ -21,5 +21,5 @@
       SOPLEX_CXXFLAGS="-I$with_soplex_includedir"
     elif test x"$with_soplex" != x"yes"; then
-      SOPLEX_CXXFLAGS="-I$with_soplex/src"
+      SOPLEX_CXXFLAGS="-I$with_soplex/include"
     fi
 
@@ -39,5 +39,5 @@
 
     lx_soplex_test_prog='
-      #include <soplex.h>
+      #include <soplex/soplex.h>
 
       int main(int argc, char** argv)
@@ -57,6 +57,4 @@
     if test x"$lx_soplex_found" = x"yes"; then
       AC_DEFINE([LEMON_HAVE_SOPLEX], [1], [Define to 1 if you have SOPLEX.])
-      lx_lp_found=yes
-      AC_DEFINE([LEMON_HAVE_LP], [1], [Define to 1 if you have any LP solver.])
       AC_MSG_RESULT([yes])
     else
Index: scripts/chg-len.py
===================================================================
--- scripts/chg-len.py	(revision 780)
+++ scripts/chg-len.py	(revision 284)
@@ -1,24 +1,6 @@
 #! /usr/bin/env python
-#
-# This file is a part of LEMON, a generic C++ optimization library.
-#
-# Copyright (C) 2003-2009
-# Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
-# (Egervary Research Group on Combinatorial Optimization, EGRES).
-#
-# Permission to use, modify and distribute this software is granted
-# provided that this copyright notice appears in all copies. For
-# precise terms see the accompanying LICENSE file.
-#
-# This software is provided "AS IS" with no warranty of any kind,
-# express or implied, and with no claim as to its suitability for any
-# purpose.
 
 import sys
-
-from mercurial import ui, hg
-from mercurial import util
-
-util.rcpath = lambda : []
+import os
 
 if len(sys.argv)>1 and sys.argv[1] in ["-h","--help"]:
@@ -28,19 +10,31 @@
 """
     exit(0)
+plist = os.popen("HGRCPATH='' hg parents --template='{rev}\n'").readlines()
+if len(plist)>1:
+    print "You are in the process of merging"
+    exit(1)
+PAR = int(plist[0])
 
-u = ui.ui()
-r = hg.repository(u, ".")
-N = r.changectx(".").rev()
-lengths=[0]*(N+1)
-for i in range(N+1):
-    p=r.changectx(i).parents()
-    if p[0]:
-        p0=lengths[p[0].rev()]
+f = os.popen("HGRCPATH='' hg log -r 0:tip --template='{rev} {parents}\n'").\
+    readlines()
+REV = -1
+lengths=[]
+for l in f:
+    REV+=1
+    s = l.split()
+    rev = int(s[0])
+    if REV != rev:
+        print "Something is seriously wrong"
+        exit(1)
+    if len(s) == 1:
+        par1 = par2 = rev - 1
+    elif len(s) == 2:
+        par1 = par2 = int(s[1].split(":")[0])
     else:
-        p0=-1
-    if len(p)>1 and p[1]:
-        p1=lengths[p[1].rev()]
+        par1 = int(s[1].split(":")[0])
+        par2 = int(s[2].split(":")[0])
+    if rev == 0:
+        lengths.append(0)
     else:
-        p1=-1
-    lengths[i]=max(p0,p1)+1
-print lengths[N]
+        lengths.append(max(lengths[par1],lengths[par2])+1)
+print lengths[PAR]
Index: scripts/mk-release.sh
===================================================================
--- scripts/mk-release.sh	(revision 780)
+++ scripts/mk-release.sh	(revision 536)
@@ -1,17 +1,3 @@
 #!/bin/bash
-#
-# This file is a part of LEMON, a generic C++ optimization library.
-#
-# Copyright (C) 2003-2009
-# Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
-# (Egervary Research Group on Combinatorial Optimization, EGRES).
-#
-# Permission to use, modify and distribute this software is granted
-# provided that this copyright notice appears in all copies. For
-# precise terms see the accompanying LICENSE file.
-#
-# This software is provided "AS IS" with no warranty of any kind,
-# express or implied, and with no claim as to its suitability for any
-# purpose.
 
 set -e
@@ -29,5 +15,5 @@
 
 autoreconf -vif
-./configure
+./configure --enable-demo
 
 make
Index: scripts/unify-sources.sh
===================================================================
--- scripts/unify-sources.sh	(revision 780)
+++ scripts/unify-sources.sh	(revision 208)
@@ -1,213 +1,10 @@
 #!/bin/bash
-#
-# This file is a part of LEMON, a generic C++ optimization library.
-#
-# Copyright (C) 2003-2009
-# Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
-# (Egervary Research Group on Combinatorial Optimization, EGRES).
-#
-# Permission to use, modify and distribute this software is granted
-# provided that this copyright notice appears in all copies. For
-# precise terms see the accompanying LICENSE file.
-#
-# This software is provided "AS IS" with no warranty of any kind,
-# express or implied, and with no claim as to its suitability for any
-# purpose.
 
-YEAR=`date +%Y`
+YEAR=`date +2003-%Y`
 HGROOT=`hg root`
 
-function hg_year() {
-    if [ -n "$(hg st $1)" ]; then
-        echo $YEAR
-    else
-        hg log -l 1 --template='{date|isodate}\n' $1 |
-        cut -d '-' -f 1
-    fi
-}
-
-# file enumaration modes
-
-function all_files() {
-    hg status -a -m -c |
-    cut -d ' ' -f 2 | grep -E '(\.(cc|h|dox)$|Makefile\.am$)' |
-    while read file; do echo $HGROOT/$file; done
-}
-
-function modified_files() {
-    hg status -a -m |
-    cut -d ' ' -f 2 | grep -E  '(\.(cc|h|dox)$|Makefile\.am$)' |
-    while read file; do echo $HGROOT/$file; done
-}
-
-function changed_files() {
-    {
-        if [ -n "$HG_PARENT1" ]
-        then
-            hg status --rev $HG_PARENT1:$HG_NODE -a -m
-        fi
-        if [ -n "$HG_PARENT2" ]
-        then
-            hg status --rev $HG_PARENT2:$HG_NODE -a -m
-        fi
-    } | cut -d ' ' -f 2 | grep -E '(\.(cc|h|dox)$|Makefile\.am$)' | 
-    sort | uniq |
-    while read file; do echo $HGROOT/$file; done
-}
-
-function given_files() {
-    for file in $GIVEN_FILES
-    do
-	echo $file
-    done
-}
-
-# actions
-
-function update_action() {
-    if ! diff -q $1 $2 >/dev/null
-    then
-	echo -n " [$3 updated]"
-	rm $2
-	mv $1 $2
-	CHANGED=YES
-    fi
-}
-
-function update_warning() {
-    echo -n " [$2 warning]"
-    WARNED=YES
-}
-
-function update_init() {
-    echo Update source files...
-    TOTAL_FILES=0
-    CHANGED_FILES=0
-    WARNED_FILES=0
-}
-
-function update_done() {
-    echo $CHANGED_FILES out of $TOTAL_FILES files has been changed.
-    echo $WARNED_FILES out of $TOTAL_FILES files triggered warnings.
-}
-
-function update_begin() {
-    ((TOTAL_FILES++))
-    CHANGED=NO
-    WARNED=NO
-}
-
-function update_end() {
-    if [ $CHANGED == YES ]
-    then
-	((++CHANGED_FILES))
-    fi
-    if [ $WARNED == YES ]
-    then
-	((++WARNED_FILES))
-    fi
-}
-
-function check_action() {
-    if [ "$3" == 'tabs' ]
-    then
-        if echo $2 | grep -q -v -E 'Makefile\.am$'
-        then
-            PATTERN=$(echo -e '\t')
-        else
-            PATTERN='        '
-        fi
-    elif [ "$3" == 'trailing spaces' ]
-    then
-        PATTERN='\ +$'
-    else
-        PATTERN='*'
-    fi
-
-    if ! diff -q $1 $2 >/dev/null
-    then
-        if [ "$PATTERN" == '*' ]
-        then
-            diff $1 $2 | grep '^[0-9]' | sed "s|^\(.*\)c.*$|$2:\1: check failed: $3|g" |
-              sed "s/:\([0-9]*\),\([0-9]*\):\(.*\)$/:\1:\3 (until line \2)/g"
-        else
-            grep -n -E "$PATTERN" $2 | sed "s|^\([0-9]*\):.*$|$2:\1: check failed: $3|g"
-        fi
-        FAILED=YES
-    fi
-}
-
-function check_warning() {
-    if [ "$2" == 'long lines' ]
-    then
-        grep -n -E '.{81,}' $1 | sed "s|^\([0-9]*\):.*$|$1:\1: warning: $2|g"
-    else
-        echo "$1: warning: $2"
-    fi
-    WARNED=YES
-}
-
-function check_init() {
-    echo Check source files...
-    FAILED_FILES=0
-    WARNED_FILES=0
-    TOTAL_FILES=0
-}
-
-function check_done() {
-    echo $FAILED_FILES out of $TOTAL_FILES files has been failed.
-    echo $WARNED_FILES out of $TOTAL_FILES files triggered warnings.
-
-    if [ $WARNED_FILES -gt 0 -o $FAILED_FILES -gt 0 ]
-    then
-	if [ "$WARNING" == 'INTERACTIVE' ]
-	then
-	    echo -n "Are the files with errors/warnings acceptable? (yes/no) "
-	    while read answer
-	    do
-		if [ "$answer" == 'yes' ]
-		then
-		    return 0
-		elif [ "$answer" == 'no' ]
-		then
-		    return 1
-		fi
-		echo -n "Are the files with errors/warnings acceptable? (yes/no) "
-	    done
-	elif [ "$WARNING" == 'WERROR' ]
-	then
-	    return 1
-	fi
-    fi
-}
-
-function check_begin() {
-    ((TOTAL_FILES++))
-    FAILED=NO
-    WARNED=NO
-}
-
-function check_end() {
-    if [ $FAILED == YES ]
-    then
-	((++FAILED_FILES))
-    fi
-    if [ $WARNED == YES ]
-    then
-	((++WARNED_FILES))
-    fi
-}
-
-
-
-# checks
-
-function header_check() {
-    if echo $1 | grep -q -E 'Makefile\.am$'
-    then
-	return
-    fi
-
+function update_header() {
     TMP_FILE=`mktemp`
+    FILE_NAME=$1
 
     (echo "/* -*- mode: C++; indent-tabs-mode: nil; -*-
@@ -215,5 +12,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-"$(hg_year $1)"
+ * Copyright (C) "$YEAR"
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -229,5 +26,5 @@
  */
 "
-    awk 'BEGIN { pm=0; }
+	awk 'BEGIN { pm=0; }
      pm==3 { print }
      /\/\* / && pm==0 { pm=1;}
@@ -235,156 +32,103 @@
      /\*\// && pm==1 { pm=2;}
     ' $1
-    ) >$TMP_FILE
+	) >$TMP_FILE
 
-    "$ACTION"_action "$TMP_FILE" "$1" header
+    HEADER_CH=`diff -q $TMP_FILE $FILE_NAME >/dev/null&&echo NO||echo YES`
+
+    rm $FILE_NAME
+    mv $TMP_FILE $FILE_NAME
 }
 
-function tabs_check() {
-    if echo $1 | grep -q -v -E 'Makefile\.am$'
-    then
-        OLD_PATTERN=$(echo -e '\t')
-        NEW_PATTERN='        '
-    else
-        OLD_PATTERN='        '
-        NEW_PATTERN=$(echo -e '\t')
-    fi
+function update_tabs() {
     TMP_FILE=`mktemp`
-    cat $1 | sed -e "s/$OLD_PATTERN/$NEW_PATTERN/g" >$TMP_FILE
+    FILE_NAME=$1
 
-    "$ACTION"_action "$TMP_FILE" "$1" 'tabs'
+    cat $1 |
+    sed -e 's/\t/        /g' >$TMP_FILE
+
+    TABS_CH=`diff -q $TMP_FILE $FILE_NAME >/dev/null&&echo NO||echo YES`
+
+    rm $FILE_NAME
+    mv $TMP_FILE $FILE_NAME
 }
 
-function spaces_check() {
+function remove_trailing_space() {
     TMP_FILE=`mktemp`
-    cat $1 | sed -e 's/ \+$//g' >$TMP_FILE
+    FILE_NAME=$1
 
-    "$ACTION"_action "$TMP_FILE" "$1" 'trailing spaces'
+    cat $1 |
+    sed -e 's/ \+$//g' >$TMP_FILE
+
+    SPACES_CH=`diff -q $TMP_FILE $FILE_NAME >/dev/null&&echo NO||echo YES`
+
+    rm $FILE_NAME
+    mv $TMP_FILE $FILE_NAME
 }
 
-function long_lines_check() {
-    if cat $1 | grep -q -E '.{81,}'
+function long_line_test() {
+    cat $1 |grep -q -E '.{81,}'
+}
+
+function update_file() {
+    echo -n '    update' $i ...
+
+    update_header $1
+    update_tabs $1
+    remove_trailing_space $1
+
+    CHANGED=NO;
+    if [[ $HEADER_CH = YES ]];
     then
-	"$ACTION"_warning $1 'long lines'
+	echo -n '  [header updated]'
+	CHANGED=YES;
+    fi
+    if [[ $TABS_CH = YES ]];
+    then
+	echo -n ' [tabs removed]'
+	CHANGED=YES;
+    fi
+    if [[ $SPACES_CH = YES ]];
+    then
+	echo -n ' [trailing spaces removed]'
+	CHANGED=YES;
+    fi
+    if long_line_test $1 ;
+    then
+	echo -n ' [LONG LINES]'
+	((LONG_LINE_FILES++))
+    fi
+    echo
+    if [[ $CHANGED = YES ]];
+    then
+	((CHANGED_FILES++))
     fi
 }
 
-# process the file
-
-function process_file() {
-    if [ "$ACTION" == 'update' ]
-    then
-        echo -n "    $ACTION $1..."
-    else
-        echo "	  $ACTION $1..."
-    fi
-
-    CHECKING="header tabs spaces long_lines"
-
-    "$ACTION"_begin $1
-    for check in $CHECKING
+CHANGED_FILES=0
+TOTAL_FILES=0
+LONG_LINE_FILES=0
+if [ $# == 0 ]; then
+    echo Update all source files...
+    for i in `hg manifest|grep -E  '\.(cc|h|dox)$'`
     do
-	"$check"_check $1
+	update_file $HGROOT/$i
+	((TOTAL_FILES++))
     done
-    "$ACTION"_end $1
-    if [ "$ACTION" == 'update' ]
-    then
-        echo
-    fi
-}
-
-function process_all {
-    "$ACTION"_init
-    while read file
+    echo '  done.'
+else
+    for i in $*
     do
-	process_file $file
-    done < <($FILES)
-    "$ACTION"_done
-}
-
-while [ $# -gt 0 ]
-do
-    
-    if [ "$1" == '--help' ] || [ "$1" == '-h' ]
-    then
-	echo -n \
-"Usage:
-  $0 [OPTIONS] [files]
-Options:
-  --dry-run|-n
-     Check the files, but do not modify them.
-  --interactive|-i
-     If --dry-run is specified and the checker emits warnings,
-     then the user is asked if the warnings should be considered
-     errors.
-  --werror|-w
-     Make all warnings into errors.
-  --all|-a
-     Check all source files in the repository.
-  --modified|-m
-     Check only the modified (and new) source files. This option is
-     useful to check the modification before making a commit.
-  --changed|-c
-     Check only the changed source files compared to the parent(s) of
-     the current hg node.  This option is useful as hg hook script.
-     To automatically check all your changes before making a commit,
-     add the following section to the appropriate .hg/hgrc file.
-
-       [hooks]
-       pretxncommit.checksources = scripts/unify-sources.sh -c -n -i
-
-  --help|-h
-     Print this help message.
-  files
-     The files to check/unify. If no file names are given, the modified
-     source files will be checked/unified (just like using the
-     --modified|-m option).
-"
-        exit 0
-    elif [ "$1" == '--dry-run' ] || [ "$1" == '-n' ]
-    then
-	[ -n "$ACTION" ] && echo "Conflicting action options" >&2 && exit 1
-	ACTION=check
-    elif [ "$1" == "--all" ] || [ "$1" == '-a' ]
-    then
-	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
-	FILES=all_files
-    elif [ "$1" == "--changed" ] || [ "$1" == '-c' ]
-    then
-	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
-	FILES=changed_files
-    elif [ "$1" == "--modified" ] || [ "$1" == '-m' ]
-    then
-	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
-	FILES=modified_files
-    elif [ "$1" == "--interactive" ] || [ "$1" == "-i" ]
-    then
-	[ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
-	WARNING='INTERACTIVE'
-    elif [ "$1" == "--werror" ] || [ "$1" == "-w" ]
-    then
-	[ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
-	WARNING='WERROR'
-    elif [ $(echo x$1 | cut -c 2) == '-' ]
-    then
-	echo "Invalid option $1" >&2 && exit 1
-    else
-	[ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
-	GIVEN_FILES=$@
-	FILES=given_files
-	break
-    fi
-    
-    shift
-done
-
-if [ -z $FILES ]
-then
-    FILES=modified_files
+	update_file $i
+	((TOTAL_FILES++))
+    done
 fi
-
-if [ -z $ACTION ]
-then
-    ACTION=update
+echo $CHANGED_FILES out of $TOTAL_FILES files has been changed.
+if [[ $LONG_LINE_FILES -gt 1 ]]; then
+    echo
+    echo WARNING: $LONG_LINE_FILES files contains long lines!    
+    echo
+elif [[ $LONG_LINE_FILES -gt 0 ]]; then
+    echo
+    echo WARNING: a file contains long lines!
+    echo
 fi
-
-process_all
Index: test/CMakeLists.txt
===================================================================
--- test/CMakeLists.txt	(revision 953)
+++ test/CMakeLists.txt	(revision 539)
@@ -1,17 +1,11 @@
 INCLUDE_DIRECTORIES(
-  ${PROJECT_SOURCE_DIR}
+  ${CMAKE_SOURCE_DIR}
   ${PROJECT_BINARY_DIR}
 )
 
-LINK_DIRECTORIES(
-  ${PROJECT_BINARY_DIR}/lemon
-)
+LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/lemon)
 
 SET(TESTS
-  adaptors_test
-  bellman_ford_test
   bfs_test
-  circulation_test
-  connectivity_test
   counter_test
   dfs_test
@@ -19,101 +13,15 @@
   dijkstra_test
   dim_test
-  edge_set_test
   error_test
-  euler_test
-  fractional_matching_test
-  gomory_hu_test
   graph_copy_test
   graph_test
   graph_utils_test
-  hao_orlin_test
   heap_test
   kruskal_test
   maps_test
-  matching_test
-  min_cost_arborescence_test
-  min_cost_flow_test
-  min_mean_cycle_test
+  random_test
   path_test
-  planarity_test
-  preflow_test
-  radix_sort_test
-  random_test
-  suurballe_test
   time_measure_test
-  unionfind_test
-)
-
-IF(LEMON_HAVE_LP)
-  ADD_EXECUTABLE(lp_test lp_test.cc)
-  SET(LP_TEST_LIBS lemon)
-
-  IF(LEMON_HAVE_GLPK)
-    SET(LP_TEST_LIBS ${LP_TEST_LIBS} ${GLPK_LIBRARIES})
-  ENDIF()
-  IF(LEMON_HAVE_CPLEX)
-    SET(LP_TEST_LIBS ${LP_TEST_LIBS} ${CPLEX_LIBRARIES})
-  ENDIF()
-  IF(LEMON_HAVE_CLP)
-    SET(LP_TEST_LIBS ${LP_TEST_LIBS} ${COIN_CLP_LIBRARIES})
-  ENDIF()
-
-  TARGET_LINK_LIBRARIES(lp_test ${LP_TEST_LIBS})
-  ADD_TEST(lp_test lp_test)
-
-  IF(WIN32 AND LEMON_HAVE_GLPK)
-    GET_TARGET_PROPERTY(TARGET_LOC lp_test LOCATION)
-    GET_FILENAME_COMPONENT(TARGET_PATH ${TARGET_LOC} PATH)
-    ADD_CUSTOM_COMMAND(TARGET lp_test POST_BUILD
-      COMMAND ${CMAKE_COMMAND} -E copy ${GLPK_BIN_DIR}/glpk.dll ${TARGET_PATH}
-      COMMAND ${CMAKE_COMMAND} -E copy ${GLPK_BIN_DIR}/libltdl3.dll ${TARGET_PATH}
-      COMMAND ${CMAKE_COMMAND} -E copy ${GLPK_BIN_DIR}/zlib1.dll ${TARGET_PATH}
-    )
-  ENDIF()
-
-  IF(WIN32 AND LEMON_HAVE_CPLEX)
-    GET_TARGET_PROPERTY(TARGET_LOC lp_test LOCATION)
-    GET_FILENAME_COMPONENT(TARGET_PATH ${TARGET_LOC} PATH)
-    ADD_CUSTOM_COMMAND(TARGET lp_test POST_BUILD
-      COMMAND ${CMAKE_COMMAND} -E copy ${CPLEX_BIN_DIR}/cplex91.dll ${TARGET_PATH}
-    )
-  ENDIF()
-ENDIF()
-
-IF(LEMON_HAVE_MIP)
-  ADD_EXECUTABLE(mip_test mip_test.cc)
-  SET(MIP_TEST_LIBS lemon)
-
-  IF(LEMON_HAVE_GLPK)
-    SET(MIP_TEST_LIBS ${MIP_TEST_LIBS} ${GLPK_LIBRARIES})
-  ENDIF()
-  IF(LEMON_HAVE_CPLEX)
-    SET(MIP_TEST_LIBS ${MIP_TEST_LIBS} ${CPLEX_LIBRARIES})
-  ENDIF()
-  IF(LEMON_HAVE_CBC)
-    SET(MIP_TEST_LIBS ${MIP_TEST_LIBS} ${COIN_CBC_LIBRARIES})
-  ENDIF()
-
-  TARGET_LINK_LIBRARIES(mip_test ${MIP_TEST_LIBS})
-  ADD_TEST(mip_test mip_test)
-
-  IF(WIN32 AND LEMON_HAVE_GLPK)
-    GET_TARGET_PROPERTY(TARGET_LOC mip_test LOCATION)
-    GET_FILENAME_COMPONENT(TARGET_PATH ${TARGET_LOC} PATH)
-    ADD_CUSTOM_COMMAND(TARGET mip_test POST_BUILD
-      COMMAND ${CMAKE_COMMAND} -E copy ${GLPK_BIN_DIR}/glpk.dll ${TARGET_PATH}
-      COMMAND ${CMAKE_COMMAND} -E copy ${GLPK_BIN_DIR}/libltdl3.dll ${TARGET_PATH}
-      COMMAND ${CMAKE_COMMAND} -E copy ${GLPK_BIN_DIR}/zlib1.dll ${TARGET_PATH}
-    )
-  ENDIF()
-
-  IF(WIN32 AND LEMON_HAVE_CPLEX)
-    GET_TARGET_PROPERTY(TARGET_LOC mip_test LOCATION)
-    GET_FILENAME_COMPONENT(TARGET_PATH ${TARGET_LOC} PATH)
-    ADD_CUSTOM_COMMAND(TARGET mip_test POST_BUILD
-      COMMAND ${CMAKE_COMMAND} -E copy ${CPLEX_BIN_DIR}/cplex91.dll ${TARGET_PATH}
-    )
-  ENDIF()
-ENDIF()
+  unionfind_test)
 
 FOREACH(TEST_NAME ${TESTS})
@@ -121,3 +29,3 @@
   TARGET_LINK_LIBRARIES(${TEST_NAME} lemon)
   ADD_TEST(${TEST_NAME} ${TEST_NAME})
-ENDFOREACH()
+ENDFOREACH(TEST_NAME)
Index: test/Makefile.am
===================================================================
--- test/Makefile.am	(revision 953)
+++ test/Makefile.am	(revision 228)
@@ -1,6 +1,2 @@
-if USE_VALGRIND
-TESTS_ENVIRONMENT=$(top_srcdir)/scripts/valgrind-wrapper.sh
-endif
-
 EXTRA_DIST += \
 	test/CMakeLists.txt
@@ -8,71 +4,37 @@
 noinst_HEADERS += \
 	test/graph_test.h \
-	test/test_tools.h
+        test/test_tools.h
 
 check_PROGRAMS += \
-	test/adaptors_test \
-	test/bellman_ford_test \
 	test/bfs_test \
-	test/circulation_test \
-	test/connectivity_test \
-	test/counter_test \
+        test/counter_test \
 	test/dfs_test \
 	test/digraph_test \
 	test/dijkstra_test \
-	test/dim_test \
-	test/edge_set_test \
+        test/dim_test \
 	test/error_test \
-	test/euler_test \
-	test/fractional_matching_test \
-	test/gomory_hu_test \
 	test/graph_copy_test \
 	test/graph_test \
 	test/graph_utils_test \
-	test/hao_orlin_test \
 	test/heap_test \
 	test/kruskal_test \
-	test/maps_test \
-	test/matching_test \
-	test/min_cost_arborescence_test \
-	test/min_cost_flow_test \
-	test/min_mean_cycle_test \
-	test/path_test \
-	test/planarity_test \
-	test/preflow_test \
-	test/radix_sort_test \
-	test/random_test \
-	test/suurballe_test \
-	test/test_tools_fail \
-	test/test_tools_pass \
-	test/time_measure_test \
+        test/maps_test \
+        test/random_test \
+        test/path_test \
+        test/test_tools_fail \
+        test/test_tools_pass \
+        test/time_measure_test \
 	test/unionfind_test
-
-test_test_tools_pass_DEPENDENCIES = demo
-
-if HAVE_LP
-check_PROGRAMS += test/lp_test
-endif HAVE_LP
-if HAVE_MIP
-check_PROGRAMS += test/mip_test
-endif HAVE_MIP
 
 TESTS += $(check_PROGRAMS)
 XFAIL_TESTS += test/test_tools_fail$(EXEEXT)
 
-test_adaptors_test_SOURCES = test/adaptors_test.cc
-test_bellman_ford_test_SOURCES = test/bellman_ford_test.cc
 test_bfs_test_SOURCES = test/bfs_test.cc
-test_circulation_test_SOURCES = test/circulation_test.cc
 test_counter_test_SOURCES = test/counter_test.cc
-test_connectivity_test_SOURCES = test/connectivity_test.cc
 test_dfs_test_SOURCES = test/dfs_test.cc
 test_digraph_test_SOURCES = test/digraph_test.cc
 test_dijkstra_test_SOURCES = test/dijkstra_test.cc
 test_dim_test_SOURCES = test/dim_test.cc
-test_edge_set_test_SOURCES = test/edge_set_test.cc
 test_error_test_SOURCES = test/error_test.cc
-test_euler_test_SOURCES = test/euler_test.cc
-test_fractional_matching_test_SOURCES = test/fractional_matching_test.cc
-test_gomory_hu_test_SOURCES = test/gomory_hu_test.cc
 test_graph_copy_test_SOURCES = test/graph_copy_test.cc
 test_graph_test_SOURCES = test/graph_test.cc
@@ -80,17 +42,6 @@
 test_heap_test_SOURCES = test/heap_test.cc
 test_kruskal_test_SOURCES = test/kruskal_test.cc
-test_hao_orlin_test_SOURCES = test/hao_orlin_test.cc
-test_lp_test_SOURCES = test/lp_test.cc
 test_maps_test_SOURCES = test/maps_test.cc
-test_mip_test_SOURCES = test/mip_test.cc
-test_matching_test_SOURCES = test/matching_test.cc
-test_min_cost_arborescence_test_SOURCES = test/min_cost_arborescence_test.cc
-test_min_cost_flow_test_SOURCES = test/min_cost_flow_test.cc
-test_min_mean_cycle_test_SOURCES = test/min_mean_cycle_test.cc
 test_path_test_SOURCES = test/path_test.cc
-test_planarity_test_SOURCES = test/planarity_test.cc
-test_preflow_test_SOURCES = test/preflow_test.cc
-test_radix_sort_test_SOURCES = test/radix_sort_test.cc
-test_suurballe_test_SOURCES = test/suurballe_test.cc
 test_random_test_SOURCES = test/random_test.cc
 test_test_tools_fail_SOURCES = test/test_tools_fail.cc
Index: test/bfs_test.cc
===================================================================
--- test/bfs_test.cc	(revision 956)
+++ test/bfs_test.cc	(revision 293)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2010
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -59,16 +59,14 @@
 
   Digraph G;
-  Node s, t, n;
+  Node s, t;
   Arc e;
-  int l, i;
+  int l;
   bool b;
   BType::DistMap d(G);
   BType::PredMap p(G);
   Path<Digraph> pp;
-  concepts::ReadMap<Node,bool> nm;
 
   {
     BType bfs_test(G);
-    const BType& const_bfs_test = bfs_test;
 
     bfs_test.run(s);
@@ -76,24 +74,11 @@
     bfs_test.run();
 
-    bfs_test.init();
-    bfs_test.addSource(s);
-    n = bfs_test.processNextNode();
-    n = bfs_test.processNextNode(t, b);
-    n = bfs_test.processNextNode(nm, n);
-    n = const_bfs_test.nextNode();
-    b = const_bfs_test.emptyQueue();
-    i = const_bfs_test.queueSize();
-
-    bfs_test.start();
-    bfs_test.start(t);
-    bfs_test.start(nm);
-
-    l  = const_bfs_test.dist(t);
-    e  = const_bfs_test.predArc(t);
-    s  = const_bfs_test.predNode(t);
-    b  = const_bfs_test.reached(t);
-    d  = const_bfs_test.distMap();
-    p  = const_bfs_test.predMap();
-    pp = const_bfs_test.path(t);
+    l  = bfs_test.dist(t);
+    e  = bfs_test.predArc(t);
+    s  = bfs_test.predNode(t);
+    b  = bfs_test.reached(t);
+    d  = bfs_test.distMap();
+    p  = bfs_test.predMap();
+    pp = bfs_test.path(t);
   }
   {
@@ -102,35 +87,11 @@
       ::SetDistMap<concepts::ReadWriteMap<Node,int> >
       ::SetReachedMap<concepts::ReadWriteMap<Node,bool> >
+      ::SetProcessedMap<concepts::WriteMap<Node,bool> >
       ::SetStandardProcessedMap
-      ::SetProcessedMap<concepts::WriteMap<Node,bool> >
       ::Create bfs_test(G);
-
-    concepts::ReadWriteMap<Node,Arc> pred_map;
-    concepts::ReadWriteMap<Node,int> dist_map;
-    concepts::ReadWriteMap<Node,bool> reached_map;
-    concepts::WriteMap<Node,bool> processed_map;
-
-    bfs_test
-      .predMap(pred_map)
-      .distMap(dist_map)
-      .reachedMap(reached_map)
-      .processedMap(processed_map);
 
     bfs_test.run(s);
     bfs_test.run(s,t);
     bfs_test.run();
-
-    bfs_test.init();
-    bfs_test.addSource(s);
-    n = bfs_test.processNextNode();
-    n = bfs_test.processNextNode(t, b);
-    n = bfs_test.processNextNode(nm, n);
-    n = bfs_test.nextNode();
-    b = bfs_test.emptyQueue();
-    i = bfs_test.queueSize();
-
-    bfs_test.start();
-    bfs_test.start(t);
-    bfs_test.start(nm);
 
     l  = bfs_test.dist(t);
